| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| file | File | 是 | DOC/DOCX 文件(最大10MB) |
curl -X POST -F "file=@doc.docx" https://zgarlen.com/convert --output out.pdf
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| file | File | 是 | PDF 文件(最大10MB) |
curl -X POST -F "file=@doc.pdf" https://zgarlen.com/convert-pdf-to-word --output out.docx
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| file | File | 是 | 图片文件(最大10MB) |
| quality | int | 否 | 压缩质量(10-100,默认80) |
curl -X POST -F "file=@img.jpg" -F "quality=80" https://zgarlen.com/compress-image --output out.jpg
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| length | int | 否 | 密码长度(4-32,默认12) |
| uppercase | bool | 否 | 包含大写字母(默认true) |
| lowercase | bool | 否 | 包含小写字母(默认true) |
| numbers | bool | 否 | 包含数字(默认true) |
| symbols | bool | 否 | 包含特殊符号(默认true) |
curl "https://zgarlen.com/generate-password?length=16"
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| text | string | 是 | 二维码内容 |
| size | int | 否 | 尺寸(150-300,默认200) |
curl "https://zgarlen.com/generate-qrcode?text=https://zgarlen.com" --output qrcode.png
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| input_value | string | 是 | 输入颜色值 |
| input_format | string | 是 | 输入格式:hex/rgb/hsl |
| output_format | string | 是 | 输出格式:hex/rgb/hsl |
curl "https://zgarlen.com/convert-color?input_value=%233b82f6&input_format=hex&output_format=rgb"
| 参数名 | 类型 | 说明 |
|---|---|---|
| (body) | JSON | 待格式化的JSON数据 |
curl -X POST -H "Content-Type: application/json" -d '{"name":"test"}' https://zgarlen.com/format-json
| 参数名 | 类型 | 说明 |
|---|---|---|
| (body) | JSON | 待压缩的JSON数据 |
curl -X POST -H "Content-Type: application/json" -d '{"name":"test"}' https://zgarlen.com/compress-json
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| value | float | 是 | 待转换的值 |
| from_unit | string | 是 | 源单位 |
| to_unit | string | 是 | 目标单位 |
| category | string | 是 | 类别:length/weight/temperature/storage |
curl "https://zgarlen.com/convert-unit?value=100&from_unit=米+(m)&to_unit=英尺+(ft)&category=length"